config = Rails.application.config
database = config.database_configuration[Rails.env]["database"]
username = config.database_configuration[Rails.env]["username"]
password = config.database_configuration[Rails.env]["password"]

namespace :db do

  #rake db:dump
  desc "dumps the database to a sql file"
  task :dump => :environment do
    puts "Creating #{database}_dump.sql file."
    `mysqldump -u "#{username}" --password="#{password}" "#{database}" > "#{database}"_dump.sql`
  end

  namespace :dump do
    #rake db:dump:import
    desc "imports the #{database}_dump.sql file to the current db"

    task :import do
      `mysql -u root --password="#{password}" "#{database}" < "#{database}"_dump.sql`
    end
  end
end
